Skip to main content
GET
/
api
/
projects
/
{projectId}
/
runs
/
{runId}
Get deployment workflow run
curl --request GET \
  --url https://api.example.com/api/projects/{projectId}/runs/{runId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/api/projects/{projectId}/runs/{runId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/api/projects/{projectId}/runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "releaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "<string>",
  "jobs": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "order": 123,
      "environmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "deploymentWorkflowRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "<string>",
      "environment": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "key": "<string>"
      },
      "reviewedAt": "<string>",
      "reviewedBy": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "email": "jsmith@example.com",
        "firstName": "<string>",
        "lastName": "<string>"
      },
      "reviewedComment": "<string>",
      "previousRelease": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "version": "<string>"
      },
      "previousReleaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "event": "<string>",
      "data": "<unknown>"
    }
  ],
  "release": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "version": "<string>"
  },
  "createdBy": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "email": "jsmith@example.com",
    "firstName": "<string>",
    "lastName": "<string>"
  },
  "completedAt": "<string>",
  "cancelledById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "cancelledBy": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "email": "jsmith@example.com",
    "firstName": "<string>",
    "lastName": "<string>"
  },
  "cancelledComment": "<string>"
}

Authorizations

Authorization
string
header
required

Personal access token is obtained through your profile

Path Parameters

projectId
string<uuid>
required

Project unique identifier

runId
string<uuid>
required

Deployment workflow run unique identifier

Response

200 - application/json

Deployment workflow run with jobs

Deployment workflow run with jobs

id
string<uuid>
required

Workflow run unique identifier

name
string | null
required

Workflow run name

status
enum<string>
required

Current status of the workflow run

Available options:
in_progress,
completed,
cancelled,
waiting,
failure
releaseId
string<uuid>
required

Associated release ID

projectId
string<uuid>
required

Project ID

createdById
string<uuid>
required

ID of user who created the run

createdAt
string
required

Timestamp when the run was created

jobs
object[]
required

List of jobs in the workflow run

runVersion
enum<string> | null

Workflow run version

Available options:
v2,
null
release
object | null

Associated release

createdBy
object | null

User who created the run

completedAt
string | null

Timestamp when the run was completed

cancelledById
string<uuid> | null

ID of user who cancelled the run

cancelledBy
object | null

User who cancelled the run

cancelledComment
string | null

Cancellation reason